unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    EditO: TEdit;
    hibaL: TLabel;
    uzenL: TLabel;
    kilepB: TBitBtn;
    Timer1: TTimer;
    procedure kilepBClick(Sender: TObject);
    procedure EditOKeyPress(Sender: TObject; var Key: Char);
    procedure Timer1Timer(Sender: TObject);
    procedure EditOChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
var
  ora: integer;
procedure TForm1.kilepBClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.EditOKeyPress(Sender: TObject; var Key: Char);
begin
  if (key=#13) and (editO.Text<>'') //Egy ágú szelekció  ha Entert-t ütök
    then begin
           ora:=StrToInt(editO.Text);
           if (ora<0) or (ora>23)// Két ágú szelekció
             then begin  //IGAZ-ág ------------------------------------
                    Timer1.Enabled:=True; //időt bekapcsolom           |
                    hibaL.Show; //HibaLabel "sózza magát" bekapcsol    |
                    editO.Enabled:=False;  // elszürkítem az editet    |
                  end
             else  begin //HAMIS-ág Itt fog köszönni --------------
                     case ora of     //több ágú szelekció          |
                       5..9: uzenL.Caption:='Jó reggelt'; //       |
                       10..18: uzenL.Caption:='Jó napot'; //       |
                       19..22: uzenL.Caption:='Jó estét'; //       |
                       23,0..4: uzenL.Caption:='Jó éjszakát'; //   |
                     end;
                     editO.SelectAll; //Az editO-t kijelölöm
                   end;
         end;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled:=False; //időt kikapcsolom
  hibaL.Hide; //Eltüntetem a hibaüzenetet
  with editO do //editO-ban állítom a különböző
    begin
      Enabled:=True;
      Clear;
      SetFocus;
    end;
end;

procedure TForm1.EditOChange(Sender: TObject);
begin
  uzenL.Caption:='';
end;

end.
